<?php
require_once "../../includes/db.php";
header('Content-Type: application/json');
session_start();

$coid   = $_SESSION['co_id'];

$Pinv_limit  = $_GET['Pinv_limit'] ?? 30;
$Pinv_offset = $_GET['Pinv_offset'] ?? 0;
$storeid = $_GET['storeid'] ?? 0;

$stmt = $pdo->prepare("
    SELECT
            d.co_id,d.t_date,  DATE_FORMAT(d.t_date, '%d %b%y') AS M_date, d.t_tt_doc, d.t_doc_no,d.t_type, d.t_ct_det,u.acc_name, d.t_status,
            SUM(CASE WHEN d.t_type = 'DEL' THEN d.t_credit ELSE 0 END) AS total_debit_DEL,
            SUM(CASE WHEN d.t_type = 'GR' THEN d.t_debit ELSE 0 END) AS total_credit_GR,
             SUM(CASE WHEN d.t_type = 'DEL' THEN d.t_credit ELSE 0 END)+
            SUM(CASE WHEN d.t_type = 'GR' THEN d.t_debit ELSE 0 END)+
            SUM(CASE WHEN d.t_type = 'INV RET' THEN d.t_debit ELSE 0 END)+
            SUM(CASE WHEN d.t_type = 'STK INV' THEN d.t_debit ELSE 0 END) AS total_result
        FROM transactions d
        JOIN accounts u ON d.t_cr = u.id        
        WHERE 
            d.t_tt_doc = :storeid
            AND d.t_status = 'Pending'
            AND u.acc_categ IN ( 'sales_person', 'customer')
            AND d.t_type IN ('DEL', 'GR', 'INV RET', 'STK INV')
           
       GROUP BY d.t_doc_no, d.t_type
        ORDER BY d.t_id ASC
        LIMIT :Pinv_limit OFFSET :Pinv_offset
");

$stmt->bindValue(':storeid', $storeid, PDO::PARAM_INT);
$stmt->bindValue(':Pinv_limit', (int)$Pinv_limit, PDO::PARAM_INT);
$stmt->bindValue(':Pinv_offset', (int)$Pinv_offset, PDO::PARAM_INT);
$stmt->execute();

echo json_encode($stmt->fetchAll(PDO::FETCH_ASSOC));
exit;